{"openapi":"3.0.0","info":{"title":"Dalux Build API","contact":{"email":"support@dalux.com"},"version":"4.15","description":"# Getting started\nTo access data objects through a service, a customer specific API key is required. Contact <support@dalux.com> to activate the API for your company profile if you have not done so already. The key is tied to individual API identities found in settings under API identities.\n\n# Calling a service\nThe documentation only provides a part of the url specified for requests, e.g.\n\n`GET /4.0/projects`\n\nTo complete the request, you must append the API base url. The base URL is optained by contacting <support@dalux.com>. to get all projects, you would call\n\n`{BASE_URL}/4.0/projects`\n\nAuthorization is provided by adding your API key to a header parameter called ‘X-API-KEY’\n\nExample with curl\n\n`curl GET '{BASE_URL}/4.0/projects' --header 'X-API-KEY: {YOUR_API_KEY}'`\n\n# Common object model\n\nDalux expose a number of API's. They share an overarching object architecture which is described in a [Common object model](https://app.swaggerhub.com/apis-docs/Dalux/GettingStarted/2.0)\n"},"security":[{"ApiKeyAuth":[]}],"paths":{"/5.1/projects":{"get":{"tags":["Projects"],"operationId":"listProjects","summary":"Get all available projects","description":"Get all available projects","responses":{"200":{"description":"A list of available projects","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"}],"properties":{"items":{"type":"array","items":{"type":"object","allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Response"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/Project"}}}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/5.0/projects":{"post":{"tags":["Projects"],"operationId":"postProject","summary":"Create a new project","description":"Creates a new project. The created project will follow the default project language, measurement unit and time zone set in the company settings, as well as the Field and Box configuration that has been defined for the company.","parameters":[{"in":"query","name":"adminEmail","schema":{"type":"string"},"required":true,"description":"The specified email must be the email of an existing Dalux user"}],"requestBody":{"description":"projectId property is irrelevant and ignored when calling POST.\n\nInfrastructure project type is only allowed if the company has the ability to create infrastructure projects.\n\n⚠️ NOTE: When adding metadata to a project, there are two types of metadata\n- For list-type metadata, provide the metadata key and a reference key as value.\n- For text-type metadata, provide the metadata key and a text value.\n","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostProject"}}}},"responses":{"200":{"description":"Successfully created a new project","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/Project"}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/5.0/projects/{projectId}":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Projects"],"operationId":"getProject","summary":"Get a specific project","responses":{"200":{"description":"The project with the given ID","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"}],"properties":{"data":{"$ref":"#/components/schemas/Project"}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}},"patch":{"tags":["Projects"],"operationId":"patchProject","summary":"update a project","description":"Updates a project","requestBody":{"description":"Generally you should be able to GET a project, change the fields that you want to alter and then PATCH the object. Fields not described by the documentation will be ignored (fx the object id field).","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchProject"}}}},"responses":{"200":{"description":"Successfully updated project","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/Project"}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.0/projects/{projectId}/metadata":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Projects"],"operationId":"listProjectMetadata","summary":"Get metadata of a specific project","responses":{"200":{"description":"The metadata of a project with the given ID","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ProjectMetadata"}}}}}}}}}},"/1.0/projects/metadata/1.0/mappings":{"get":{"tags":["Projects"],"operationId":"listMetadataMappingsForProjects","summary":"Get all metadata available for POST project operations","description":"Get all user defined metadata fields available for POST project operations","responses":{"200":{"description":"A list of available metadata fields","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"}],"properties":{"items":{"type":"array","items":{"type":"object","allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Response"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/BasicFieldMapping"}}}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.0/projects/metadata/1.0/mappings/{key}/values":{"parameters":[{"in":"path","name":"key","description":"The key of the field","required":true,"schema":{"type":"string"}}],"get":{"tags":["Projects"],"operationId":"listMetadataValuesForProjects","summary":"Get available values for metadata in POST project operation","description":"Get all possible values for user defined metadata field POST project operation","responses":{"200":{"description":"A list of available metadata field values","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ProjectMetadataFieldValue"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.0/projects/{projectId}/metadata/1.0/mappings":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Projects"],"operationId":"listProjectMetadataMappings","summary":"Get all metadata available for PATCH project operations","description":"Get all user defined metadata fields available for PATCH project operations","responses":{"200":{"description":"A list of available metadata fields","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"}],"properties":{"items":{"type":"array","items":{"type":"object","allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Response"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/BasicFieldMapping"}}}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.0/projects/{projectId}/metadata/1.0/mappings/{key}/values":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"in":"path","name":"key","description":"The key of the field","required":true,"schema":{"type":"string"}}],"get":{"tags":["Projects"],"operationId":"listProjectMetadataValues","summary":"Get available values for metadata in PATCH project operation","description":"Get all possible values for user defined metadata field for PATCH project operations","responses":{"200":{"description":"A list of available metadata field values","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ProjectMetadataFieldValue"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.2/projects/{projectId}/users":{"get":{"tags":["Users"],"operationId":"listProjectUsers","summary":"Get users on project","parameters":[{"name":"projectId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the project"}],"responses":{"200":{"description":"The users on the project with the given ID","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ProjectUser"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.1/projects/{projectId}/users/{userId}":{"get":{"tags":["Users"],"operationId":"getProjectUser","summary":"Get user on project","parameters":[{"name":"projectId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the project"},{"name":"userId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the user on the project"}],"responses":{"200":{"description":"The users on the project with the given ID","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"}],"properties":{"data":{"$ref":"#/components/schemas/ProjectUser"}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.1/users/{userId}":{"get":{"tags":["Users"],"operationId":"getUser","summary":"Get a specific user","parameters":[{"name":"userId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the user"}],"responses":{"200":{"description":"The user with the given ID","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"}],"properties":{"data":{"$ref":"#/components/schemas/User"}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/3.1/projects/{projectId}/companies":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Companies"],"operationId":"listProjectCompanies","description":"Get companies on project","responses":{"200":{"description":"companies on project","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"items":{"$ref":"#/components/schemas/ProjectCompany"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}},"post":{"tags":["Companies"],"operationId":"postProjectCompany","description":"Add company to project","requestBody":{"required":true,"description":"Assign a valid company id from the company-catalog to the catalogCompanyId, in order to establish a link between this company and one listed in the company-catalog. Linking will import name, vatNumber and address from the corresponding company in the company-catalog. Changing the vatNumber on a linked company will unlink the company from the company-catalog.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectCompany"}}}},"responses":{"200":{"description":"Successfully created a new company","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/ProjectCompany"}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/3.0/projects/{projectId}/companies/{companyId}":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"in":"path","name":"companyId","description":"ID of the company","required":true,"schema":{"type":"string"}}],"get":{"tags":["Companies"],"operationId":"getProjectCompany","description":"Get company on the project with the corresponding companyId","responses":{"200":{"description":"company on project","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/ProjectCompany"}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}},"patch":{"tags":["Companies"],"operationId":"patchProjectCompany","description":"Update company on the project with corresponding companyId","requestBody":{"required":true,"description":"Assign a valid company id from the company-catalog to the catalogCompanyId, in order to establish a link between this company and one listed in the company-catalog. Linking will import name, vatNumber and address from the corresponding company in the company-catalog. Changing the vatNumber on a linked company will unlink the company from the company-catalog.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectCompany"}}}},"responses":{"200":{"description":"company on project","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/ProjectCompany"}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.0/projects/{projectId}/workpackages":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Work Packages"],"operationId":"listWorkpackages","summary":"Browse all work packages on the given project","description":"Returns non-deleted work packages on the given project","responses":{"200":{"description":"Results matching criteria","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Workpackage"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/5.1/projects/{projectId}/file_areas":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["File Areas"],"summary":"Retrieve the file areas on the given project","operationId":"getfileareas","description":"Returns the file areas for the corresponding project","responses":{"200":{"description":"The requested file areas","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/FileArea"},"links":{"type":"array","items":{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Link"}}}}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.0/projects/{projectId}/file_areas/{fileAreaId}":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/fileAreaId"}],"get":{"tags":["File Areas"],"summary":"Retrieve a specific file area","operationId":"getfilearea","description":"Returns the file area with the corresponding ID","responses":{"200":{"description":"The requested file areas","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/FileArea"}}}]}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/5.1/projects/{projectId}/file_areas/{fileAreaId}/folders":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/fileAreaId"}],"get":{"tags":["Folders"],"operationId":"listFolders","summary":"Browse all folders on the given project","description":"Returns folders on the given project","responses":{"200":{"description":"Results matching criteria","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Folder"},"links":{"type":"array","items":{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Link"}}}}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/5.0/projects/{projectId}/file_areas/{fileAreaId}/folders/{folderId}":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/fileAreaId"},{"$ref":"#/components/parameters/folderId"}],"get":{"tags":["Folders"],"summary":"Retrieve a specific folder","operationId":"getFolder","description":"Returns the folder with the corresponding ID","responses":{"200":{"description":"The requested folder","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Folder"}}}]}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.1/projects/{projectId}/file_areas/{fileAreaId}/folders/{folderId}/files/properties/1.0/mappings":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/fileAreaId"},{"$ref":"#/components/parameters/folderId"}],"get":{"tags":["Folders"],"summary":"Retrieve all properties for each file type in a specific folder","operationId":"getFolderFilesProperties","description":"Returns the properties mapping for a specific folder, for each file type, noting if properties are required.","responses":{"200":{"description":"The requested properties mapping","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/FolderFilePropertyMapping"},"links":{"type":"array","items":{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Link"}}}}]}}}}]}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/2.1/projects/{projectId}/version_sets":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Version Sets"],"operationId":"getVersionSets","summary":"Retrieve the version sets on the given project","description":"Returns all version set across all areas on a given project.","responses":{"200":{"description":"The requested version sets","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/VersionSet"},"links":{"type":"array","items":{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Link"}}}}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/2.0/projects/{projectId}/version_sets/{versionSetId}":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/versionSetId"}],"get":{"tags":["Version Sets"],"summary":"Retrieve a specific version set","operationId":"getVersionSet","description":"Return the version set with the corresponding ID","responses":{"200":{"description":"The requested version set","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/VersionSet"}}}]}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/3.0/projects/{projectId}/version_sets/{versionSetId}/files":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/versionSetId"},{"in":"query","name":"includeProperties","description":"If true, the request will return all properties associated with each file in an array\n","schema":{"type":"boolean","nullable":true,"default":false}}],"get":{"tags":["Version Sets"],"summary":"Browse all files on the given project and given version set","operationId":"listVersionSetFiles","description":"Returns all files within an version set on a given project. This endpoint uses incremental updates","responses":{"200":{"description":"The requested files","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/File"},"links":{"type":"array","items":{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Link"}}}}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/2.1/projects/{projectId}/file_areas/{fileAreaId}/version_sets":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/fileAreaId"}],"get":{"tags":["Version Sets"],"operationId":"listFileAreaSersionSets","summary":"Browse all version sets on the given file area and project","description":"Returns all version set for a specific file area on the given project","responses":{"200":{"description":"The requested version sets","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/VersionSet"},"links":{"type":"array","items":{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Link"}}}}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/6.1/projects/{projectId}/file_areas/{fileAreaId}/files":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/fileAreaId"},{"in":"query","name":"includeProperties","description":"If true, the request will return all properties associated with each file in an array\n","schema":{"type":"boolean","default":false}}],"get":{"tags":["Files"],"operationId":"listFiles","summary":"Browse all files on the given project","description":"Returns all files within an area on given project. This endpoint uses incremental updates.","responses":{"200":{"description":"Results matching criteria","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/File"},"links":{"type":"array","items":{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Link"}}}}}}},{"type":"object","properties":{"metadata":{"type":"object","properties":{"totalRemainingItems":{"type":"integer","description":"The amount of items that are remaining in the series, including items from the current bookmark, if any."}}}}}]}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/5.0/projects/{projectId}/file_areas/{fileAreaId}/files/{fileId}":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/fileAreaId"},{"$ref":"#/components/parameters/fileId"}],"get":{"tags":["Files"],"summary":"Retrieve a specific file","operationId":"getfile","description":"Returns the latest version of the file with the corresponding ID within the given area","responses":{"200":{"description":"The requested file","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/File"}}}]}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/2.0/projects/{projectId}/file_areas/{fileAreaId}/files/{fileId}/revisions/{fileRevisionId}/content":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/fileAreaId"},{"$ref":"#/components/parameters/fileId"},{"$ref":"#/components/parameters/fileRevisionId"}],"get":{"tags":["File Revisions"],"summary":"Retrieve content of a specific revision","operationId":"getFileRevisionContent","description":"Returns the content of the specified revision of a file with the corresponding ID within the given area","responses":{"200":{"description":"The requested content","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.1/projects/{projectId}/file_areas/{fileAreaId}/files/{fileId}/properties/1.0/mappings":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/fileAreaId"},{"$ref":"#/components/parameters/fileId"}],"get":{"tags":["Files"],"summary":"Retrieve properties mapping for a specific file.","operationId":"getFilePropertiesMapping","description":"Returns the properties mapping for a specified file noting if properties are required, their type and the key to be used in conjunction with a new file version upload or update.","responses":{"200":{"description":"The requested properties mapping","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/FilePropertyMapping"},"links":{"type":"array","items":{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Link"}}}}]}}}}]}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.0/projects/{projectId}/file_areas/{fileAreaId}/files/properties/1.0/mappings/{filePropertyId}/values":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/fileAreaId"},{"$ref":"#/components/parameters/filePropertyId"}],"get":{"tags":["Files"],"summary":"Retrieve valid property values for a specific file property mapping","operationId":"getFilePropertyMappingValues","description":"Return the valid property values for a property identified by its Id. Properties allowing any value will return an empty list.","responses":{"200":{"description":"The valid property values if defined. If any value is valid, an empty list.","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"type":"object","properties":{"items":{"type":"array","items":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/ListReferenceMappingValue"},"links":{"type":"array","items":{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Link"}}}}]}}}}]}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.0/projects/{projectId}/file_areas/{fileAreaId}/upload":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/fileAreaId"}],"post":{"tags":["File upload"],"summary":"Create a new upload slot and return a GUID pointing to that slot","operationId":"createUpload","description":"Returns a GUID pointing to a new file upload slot (fileAreaId query parameter cannot reference a file area of type published or shared)","responses":{"201":{"description":"Upload slot created","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/UploadGuid"}}}]}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.0/projects/{projectId}/file_areas/{fileAreaId}/upload/{uploadGuid}":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/fileAreaId"},{"$ref":"#/components/parameters/uploadGuid"},{"in":"header","name":"Content-Disposition","description":"filename should be the filename and file extension for the file. Requires URI encoding if it contains non-ASCII characters.","required":true,"schema":{"type":"object","format":"Content-Disposition: form-data; filename=<filename>; filename*=UTF-8''<URIencoded_filename>","example":"form-data; filename='filename.txt'; filename*=UTF-8''file%20name.txt"}},{"in":"header","name":"Content-Range","description":"The indices of the bytes of the part of the file being uploaded, along with the total number of bytes","required":true,"schema":{"type":"object","format":"Content-Range: bytes <start index>-<end index>/<total bytes>","example":"bytes 0-255/256"}}],"post":{"tags":["File upload"],"summary":"Upload a part of a file","operationId":"uploadFilePart","description":"Upload a part of a file to a slot specified by the GUID. The size of each uploaded part cannot exceed 104857600 bytes (fileAreaId query parameter cannot reference a file area of type published or shared)","requestBody":{"description":"A chunk of the file being uploaded as a byte array","required":true,"content":{"application/octet-stream":{"schema":{"type":"string","format":"byte"}}}},"responses":{"202":{"description":"Part uploaded"},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/2.0/projects/{projectId}/file_areas/{fileAreaId}/upload/{uploadGuid}/finalize":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/fileAreaId"},{"$ref":"#/components/parameters/uploadGuid"}],"post":{"tags":["File upload"],"summary":"Finish uploading a file","operationId":"finishUpload","description":"Finalize the upload of the file associated with the GUID, and supply file metadata. Only the properties fileId, folderId, properties, fileType and fileName are considered in the metadata. Either fileId or folderId can be set, but not both. If fileId is set, a new version of the corresponding file is uploaded. If folderId is set, a new file is uploaded to that folder. (fileAreaId query parameter cannot reference a file area of type published or shared)","requestBody":{"description":"File metadata","required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/UploadFile"},{"type":"object","description":"The properties and metadata of the file being uploaded. If a fileId is included, the upload will act as a new revision of the file. Only the properties fileId, folderId, properties, fileType and fileName are considered.\nEither fileId or folderId can be set, but not both. If fileId is set, a new version of the corresponding file is uploaded. If folderId is set, a new file is uploaded to that folder.\n"}]}}}},"responses":{"201":{"description":"New file uploaded","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/File"}}}]}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.2/projects/{projectId}/inspectionPlans":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Inspection Plans"],"operationId":"listInspectionPlans","summary":"Browse all inspection plans on the given project","description":"Returns inspection plans for the corresponding project","responses":{"200":{"description":"Results matching criteria","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/InspectionPlan"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.1/projects/{projectId}/inspectionPlanItems":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Inspection Plans"],"operationId":"listInspectionPlanItems","summary":"Browse all inspection plan items on the given project","description":"Returns inspection plan items for the corresponding project","responses":{"200":{"description":"Results matching criteria","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/InspectionPlanItem"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.1/projects/{projectId}/inspectionPlanItemZones":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Inspection Plans"],"operationId":"listInspectionPlanItemZones","summary":"Browse all inspection plan item zones on the given project","description":"Returns inspection plan item zones for the corresponding project","responses":{"200":{"description":"Results matching criteria","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/InspectionPlanItemZone"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/2.1/projects/{projectId}/inspectionPlanRegistrations":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Inspection Plans"],"operationId":"listInspectionPlanRegistrations","summary":"Browse all inspection plan registrations on the given project, excluding planned registrations","description":"Returns inspection plan registrations for the corresponding project. Planned registrations are not returned, only the actual ongoing or completed registrations. Either the formId or taskId will be set, implying the registration type.","responses":{"200":{"description":"Results matching criteria","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/InspectionPlanRegistration"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.2/projects/{projectId}/testPlans":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Test Plans"],"operationId":"listTestPlans","summary":"Browse all test plans on the given project","description":"Returns test plans for the corresponding project","responses":{"200":{"description":"Results matching criteria","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TestPlan"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.1/projects/{projectId}/testPlanItems":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Test Plans"],"operationId":"listTestPlanItems","summary":"Browse all test plan items on the given project","description":"Returns test plan items for the corresponding project","responses":{"200":{"description":"Results matching criteria","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TestPlanItem"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.1/projects/{projectId}/testPlanItemZones":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Test Plans"],"operationId":"listTestPlanItemZones","summary":"Browse all test plan item zones on the given project","description":"Returns test plan item zones for the corresponding project","responses":{"200":{"description":"Results matching criteria","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TestPlanItemZone"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.2/projects/{projectId}/testPlanRegistrations":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Test Plans"],"operationId":"listTestPlanRegistrations","summary":"Browse all test plan registrations on the given project, excluding planned registrations","description":"Returns test plan registrations for the corresponding project. Planned registrations are not returned, only the actual ongoing or completed form registrations.","responses":{"200":{"description":"Results matching criteria","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TestPlanRegistration"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.3/projects/{projectId}/forms/{formId}":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/formId"}],"get":{"tags":["Forms"],"summary":"Retrieve a specific form","operationId":"getForm","description":"Returns the form with the corresponding ID","responses":{"200":{"description":"The requested form","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormResponse"}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/2.2/projects/{projectId}/forms":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Forms"],"summary":"Retrieve forms on a project","operationId":"getProjectForms","description":"Returns all forms from the project with the corresponding ID. This endpoint uses incremental updates","responses":{"200":{"description":"The requested forms","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalRemainingItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Form"},"links":{"type":"array","items":{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Link"}}}}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/2.1/projects/{projectId}/forms/attachments":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Forms"],"summary":"Retrieve attachments on forms on a project in incremental updates","operationId":"getProjectFormAttachments","description":"Returns all attachments on forms from the project with the corresponding ID, in incremental updates","responses":{"200":{"description":"The requested attachments","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/FormAttachmentRelation"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.1/projectTemplates":{"get":{"tags":["Project Templates"],"operationId":"listProjectTemplates","summary":"Get all available project templates on the company profile","description":"Get all available project templates on the company profile","responses":{"200":{"description":"Results matching criteria","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ProjectTemplate"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/2.2/companyCatalog":{"get":{"tags":["Company catalog"],"summary":"Get companies registrered on the company-catalog","operationId":"GetCompanies","description":"Retrieve all companies registrered on the company-catalog","responses":{"200":{"description":"Company-catalog companies","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.1#/components/schemas/totalItemsMetadata"}],"properties":{"items":{"type":"array","items":{"type":"object","allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Response"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/CatalogueCompany"}}}}}}}}}}},"post":{"tags":["Company catalog"],"operationId":"postCompany","description":"Create new company in the company-catalog","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostCatalogueCompany"}}}},"responses":{"200":{"description":"Successfully created a new company","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/CatalogueCompany"}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.2/companyCatalog/{catalogCompanyId}":{"parameters":[{"$ref":"#/components/parameters/catalogCompanyId"}],"get":{"tags":["Company catalog"],"operationId":"getCompany","description":"get company-catalog company","responses":{"200":{"description":"company-catalog company","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/CatalogueCompany"}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/2.1/companyCatalog/{catalogCompanyId}":{"parameters":[{"$ref":"#/components/parameters/catalogCompanyId"}],"patch":{"tags":["Company catalog"],"operationId":"patchCompany","description":"Update a company in the company-catalog","requestBody":{"description":"Changing a company's vatNumber will unlink companies on projects which are linked with the company","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchCatalogueCompany"}}}},"responses":{"200":{"description":"Successfully updated company","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/CatalogueCompany"}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.0/companyCatalog/{catalogCompanyId}/metadata":{"parameters":[{"$ref":"#/components/parameters/catalogCompanyId"}],"get":{"tags":["Company catalog"],"operationId":"listCompanyMetadata","summary":"Get metadata of a specific company from the company-catalog","responses":{"200":{"description":"The metadata of a company with the given ID","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CatalogCompanyMetadata"}}}}}}}}}},"/1.0/companyCatalog/metadata/1.0/mappings":{"get":{"tags":["Company catalog"],"operationId":"listMetadataMappingsForCompanies","summary":"Get all metadata available for a POST company-catalog operation","description":"Get all user defined metadata fields available for a POST company-catalog operation","responses":{"200":{"description":"A list of available metadata fields","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"}],"properties":{"items":{"type":"array","items":{"type":"object","allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Response"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/BasicFieldMapping"}}}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.0/companyCatalog/metadata/1.0/mappings/{key}/values":{"parameters":[{"in":"path","name":"key","description":"The key of the field","required":true,"schema":{"type":"string"}}],"get":{"tags":["Company catalog"],"operationId":"listMetadataValuesForCompanies","summary":"Get available values for metadata in a POST company-catalog operation","description":"Get all possible values for user defined metadata fields in a POST company-catalog operation","responses":{"200":{"description":"A list of available metadata field values","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CatalogCompanyMetadataFieldValue"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.0/companyCatalog/{catalogCompanyId}/metadata/1.0/mappings":{"parameters":[{"$ref":"#/components/parameters/catalogCompanyId"}],"get":{"tags":["Company catalog"],"operationId":"listCompanyMetadataMappings","summary":"Get all metadata available for a PATCH company-catalog operation","description":"Get all user defined metadata fields available for a PATCH company-catalog operation","responses":{"200":{"description":"A list of available metadata fields","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"}],"properties":{"items":{"type":"array","items":{"type":"object","allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Response"},{"type":"object"}],"properties":{"data":{"$ref":"#/components/schemas/BasicFieldMapping"}}}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.0/companyCatalog/{catalogCompanyId}/metadata/1.0/mappings/{key}/values":{"parameters":[{"$ref":"#/components/parameters/catalogCompanyId"},{"in":"path","name":"key","description":"The key of the field","required":true,"schema":{"type":"string"}}],"get":{"tags":["Company catalog"],"operationId":"listCompanyMetadataValues","summary":"Get available values for metadata in a PATCH company-catalog operation","description":"Get all possible values for user defined metadata fields in a PATCH company-catalog operation","responses":{"200":{"description":"A list of available metadata field values","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CatalogCompanyMetadataFieldValue"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/5.2/projects/{projectId}/tasks":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"in":"query","name":"$filter","description":"OData filter expression on typeId using eq as operator","schema":{"type":"string"},"example":"data/type/typeId eq '177352982697'"}],"get":{"tags":["Tasks"],"summary":"Retrieve tasks, approvals, safety issues, safety observations and good practices on a project","operationId":"getProjectTasks","description":"Returns all tasks, approvals, safety issues, safety observations and good practices from the project with the corresponding ID with optional OData filtering as query parameter on typeId using \"eq\" as operator","responses":{"200":{"description":"The requested tasks, approvals, safety issues, safety observations and good practices","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/ApiTaskGet"},"links":{"type":"array","items":{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/Link"}}}}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/3.4/projects/{projectId}/tasks/{taskId}":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"},{"$ref":"#/components/parameters/taskId"}],"get":{"tags":["Tasks"],"summary":"Retrieve a specific task/approval/safety issue/safety observation/good practice","operationId":"getTask","description":"Returns the task/approval/safety issue/safety observation/good practice with the corresponding ID","responses":{"200":{"description":"The requested task/approval/safety issue/safety observation/good practice","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/1.1/projects/{projectId}/tasks/attachments":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Tasks"],"summary":"Retrieve attachments on tasks on a project","operationId":"getProjectTaskAttachments","description":"Returns all attachments on tasks from the project with the corresponding ID","responses":{"200":{"description":"The requested attachments","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TaskAttachmentRelation"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}},"/2.3/projects/{projectId}/tasks/changes":{"parameters":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/BuildCommon/4.0#/components/parameters/projectId"}],"get":{"tags":["Tasks"],"summary":"Retrieve task, approval, safety issue, safety observation and good practice changes on a project","operationId":"getProjectTaskChanges","description":"Returns all task, approval, safety issue, safety observation and good practice changes from the project with the corresponding ID","responses":{"200":{"description":"The requested task, approval, safety issue, safety observation and good practice changes","content":{"application/json":{"schema":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"},{"type":"object"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TaskChanges"}}}}}}},"400":{"description":"See the \"Getting Started\" introduction page for more information on error responses"}}}}},"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY"}},"parameters":{"folderId":{"name":"folderId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the folder"},"fileAreaId":{"name":"fileAreaId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the file area"},"fileId":{"name":"fileId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the file"},"fileRevisionId":{"name":"fileRevisionId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the file revision"},"versionSetId":{"name":"versionSetId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the version set"},"filePropertyId":{"name":"filePropertyId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the file property"},"uploadGuid":{"name":"uploadGuid","in":"path","schema":{"type":"string"},"required":true,"description":"Guid of the upload slot"},"taskId":{"name":"taskId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the task/approval/safety issue/safety observation"},"formId":{"name":"formId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the form"},"catalogCompanyId":{"name":"catalogCompanyId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the company"}},"schemas":{"User":{"type":"object","properties":{"userId":{"type":"string"},"userType":{"type":"string","enum":["end_user","api_identity"]},"email":{"type":"string","format":"email"},"firstName":{"type":"string"},"lastName":{"type":"string"}}},"ProjectUser":{"type":"object","allOf":[{"$ref":"#/components/schemas/User"}],"properties":{"companyId":{"type":"string"}}},"PostProject":{"type":"object","properties":{"projectName":{"type":"string"},"address":{"type":"string"},"number":{"type":"string"},"type":{"type":"string","enum":["building","infrastructure"]},"projectTemplateId":{"type":"string"},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/ProjectMetadata"}}}},"PatchProject":{"type":"object","properties":{"projectName":{"type":"string"},"address":{"type":"string"},"number":{"type":"string"},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/ProjectMetadata"}}}},"Project":{"type":"object","properties":{"projectId":{"type":"string"},"projectName":{"type":"string"},"type":{"type":"string","enum":["building","infrastructure"]},"projectTemplateId":{"type":"string"},"address":{"type":"string"},"number":{"type":"string"},"created":{"type":"string","format":"date-time"},"closing":{"type":"string","format":"date-time"},"modules":{"type":"array","items":{"$ref":"#/components/schemas/ProjectModule"}}}},"ProjectTemplate":{"type":"object","properties":{"projectTemplateId":{"type":"string"},"name":{"type":"string"}}},"FileArea":{"properties":{"fileAreaId":{"type":"string"},"fileAreaName":{"type":"string"},"fileAreaType":{"type":"string","enum":["files","shared","published"]}}},"VersionSet":{"properties":{"versionSetId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"string","enum":["locked","unlocked"]},"fileAreaId":{"type":"string"}}},"File":{"properties":{"fileId":{"type":"string"},"fileRevisionId":{"type":"string"},"fileName":{"type":"string"},"fileAreaId":{"type":"string"},"folderId":{"type":"string"},"uploadedByUserId":{"type":"string","description":"For files in file areas of type shared or published, the userId corresponds to the id of the user who shared or published the file, respectively"},"uploaded":{"type":"string","format":"date","description":"Should be in the format yyyy-MM-dd. For files in file areas of type shared or published, the uploaded date corresponds to the date the file was shared or published, respectively.","example":"2017-03-13"},"lastModifiedByUserId":{"type":"string"},"lastModified":{"type":"string","format":"date","description":"Should be in the format yyyy-MM-dd.","example":"2017-03-13"},"version":{"type":"string","description":"For files in file areas of type shared or published, the version corresponds to the revision number"},"deleted":{"type":"boolean","example":false},"fileType":{"type":"string","enum":["document","drawing","model"]},"fileSize":{"type":"integer","format":"int64","description":"Filesize in bytes"},"contentHash":{"type":"string"},"downloadLink":{"type":"string","description":"The url should be considered as an opaque link to download the contents of the file. Attempting to download a deleted file will be rejected by the system. The link requires using the API key in the header."},"properties":{"type":"array","items":{"$ref":"#/components/schemas/FilePropertyField"}}}},"UploadFile":{"properties":{"fileId":{"type":"string"},"folderId":{"type":"string"},"fileName":{"type":"string"},"fileType":{"type":"string","enum":["document","drawing","model"]},"properties":{"type":"array","items":{"$ref":"#/components/schemas/FilePropertyField"}}}},"FilePropertyField":{"type":"object","properties":{"key":{"type":"string"},"name":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/FilePropertyValue"},"example":[{"text":"Some text"}]}}},"FilePropertyValue":{"oneOf":[{"$ref":"#/components/schemas/FileIntegerProperty"},{"$ref":"#/components/schemas/FileDateProperty"},{"$ref":"#/components/schemas/FileTextProperty"},{"$ref":"#/components/schemas/FileReferenceProperty"}]},"FileIntegerProperty":{"type":"object","properties":{"integer":{"type":"number","example":42}}},"FileDateProperty":{"type":"object","properties":{"date":{"type":"string","format":"date","description":"Should be in the format yyyy-MM-dd.","example":"2017-03-13"}}},"FileTextProperty":{"type":"object","properties":{"text":{"type":"string","example":"Some text"}}},"FileReferenceProperty":{"type":"object","properties":{"reference":{"$ref":"#/components/schemas/Reference"}}},"Reference":{"type":"object","properties":{"key":{"description":"Signifies the current key/ID of the value in the list of possible values for the list properties. If the key is empty the value is no longer in the list.","type":"string"},"value":{"type":"string"}}},"Folder":{"properties":{"folderId":{"type":"string"},"folderName":{"type":"string"},"parentFolderId":{"type":"string"}}},"UploadGuid":{"properties":{"uploadGuid":{"type":"string"}}},"PlanBase":{"type":"object","properties":{"name":{"type":"string"}}},"PlanItemBase":{"type":"object","properties":{"number":{"type":"string"},"subject":{"type":"string"},"heading":{"type":"string"},"subHeading":{"type":"string"},"extentType":{"type":"string","enum":["no_extent","no_zones","zones"]},"planned":{"type":"integer","format":"int32"},"ongoing":{"type":"integer","format":"int32"},"completed":{"type":"integer","format":"int32"},"nonPlannedOngoing":{"type":"integer","format":"int32"},"nonPlannedCompleted":{"type":"integer","format":"int32"}}},"PlanItemZoneBase":{"type":"object","properties":{"name":{"type":"string"},"planned":{"type":"integer","format":"int32"},"ongoing":{"type":"integer","format":"int32"},"completed":{"type":"integer","format":"int32"}}},"PlanRegistrationBase":{"type":"object","properties":{"status":{"type":"string","enum":["not_planned","planned"]},"formId":{"type":"string"}}},"InspectionPlan":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlanBase"}],"properties":{"inspectionPlanId":{"type":"string"},"workpackageId":{"type":"string"}}},"InspectionPlanItem":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlanItemBase"}],"properties":{"inspectionPlanItemId":{"type":"string"},"inspectionPlanId":{"type":"string"}}},"InspectionPlanItemZone":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlanItemZoneBase"}],"properties":{"inspectionPlanItemId":{"type":"string"},"inspectionPlanItemZoneId":{"type":"string"}}},"InspectionPlanRegistration":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlanRegistrationBase"}],"properties":{"taskId":{"type":"string"},"inspectionPlanItemId":{"type":"string"},"inspectionPlanItemZoneId":{"type":"string"}}},"TestPlan":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlanBase"}],"properties":{"testPlanId":{"type":"string"},"workpackageId":{"type":"string"}}},"TestPlanItem":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlanItemBase"}],"properties":{"testPlanItemId":{"type":"string"},"testPlanId":{"type":"string"}}},"TestPlanItemZone":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlanItemZoneBase"}],"properties":{"testPlanItemId":{"type":"string"},"testPlanItemZoneId":{"type":"string"}}},"TestPlanRegistration":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlanRegistrationBase"}],"properties":{"taskId":{"type":"string"},"testPlanItemId":{"type":"string"},"testPlanItemZoneId":{"type":"string"}}},"ZoneSelection":{"type":"object","properties":{"zone":{"$ref":"#/components/schemas/ZoneReference"},"layer":{"$ref":"#/components/schemas/ZoneLayerReference"}}},"ZoneReference":{"type":"object","properties":{"name":{"type":"string"}}},"ZoneLayerReference":{"type":"object","properties":{"name":{"type":"string"}}},"Form":{"type":"object","properties":{"formId":{"type":"string"},"type":{"type":"string","enum":["safety","holdpoint","regular","simple"]},"number":{"type":"string"},"template":{"$ref":"#/components/schemas/TemplateReference"},"status":{"type":"string","enum":["open","closed"]},"workpackageId":{"type":"string"},"created":{"type":"string","format":"date-time"},"createdBy":{"$ref":"#/components/schemas/UserRelation"},"modified":{"type":"string","format":"date-time"},"modifiedBy":{"$ref":"#/components/schemas/UserRelation"},"deleted":{"type":"boolean","example":false},"location":{"$ref":"#/components/schemas/Location"},"userDefinedFields":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"}],"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/UserDefinedField"}}}},"testPlanItems":{"type":"array","items":{"$ref":"#/components/schemas/TestPlanItemRelation"}},"inspectionPlanItems":{"type":"array","items":{"$ref":"#/components/schemas/InspectionPlanItemRelation"}}}},"FormResponse":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"}],"properties":{"data":{"$ref":"#/components/schemas/Form"}}},"UserDefinedField":{"type":"object","properties":{"userDefinedFieldId":{"type":"string"},"key":{"type":"string"},"set":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"values":{"type":"array","items":{"$ref":"#/components/schemas/UserFieldValue"}}}},"BasicFieldMapping":{"type":"object","properties":{"key":{"type":"string"},"title":{"type":"string"},"valueType":{"type":"string","enum":["text","reference"]},"isRequired":{"type":"boolean"}}},"MappingObject":{"type":"object","properties":{"key":{"type":"string"},"title":{"type":"string"}}},"MappingValue":{"oneOf":[{"$ref":"#/components/schemas/ListReferenceMappingValue"},{"$ref":"#/components/schemas/IntegerMappingValue"},{"$ref":"#/components/schemas/DateMappingValue"},{"$ref":"#/components/schemas/DateTimeMappingValue"},{"$ref":"#/components/schemas/TextMappingValue"}],"type":"object"},"ListReferenceMappingValue":{"type":"object","properties":{"reference":{"$ref":"#/components/schemas/ListReferenceMappingValueReference"}}},"ListReferenceMappingValueReference":{"type":"object","properties":{"key":{"type":"string","example":"0_1"},"value":{"type":"string"}}},"IntegerMappingValue":{"type":"object","properties":{"integer":{"type":"string"}}},"DateMappingValue":{"type":"object","properties":{"date":{"type":"string","format":"date"}}},"DateTimeMappingValue":{"type":"object","properties":{"date":{"type":"string","format":"date-time"}}},"TextMappingValue":{"type":"object","properties":{"text":{"type":"string"}}},"FilePropertyMapping":{"allOf":[{"$ref":"#/components/schemas/MappingObject"}],"type":"object","properties":{"required":{"type":"boolean","example":false},"valueType":{"type":"string","example":"text","enum":["text","reference","date","float"]},"metadataRule":{"$ref":"#/components/schemas/MetadataRuleInfo"}}},"FolderFilePropertyMapping":{"allOf":[{"$ref":"#/components/schemas/MappingObject"}],"type":"object","properties":{"requiredOnDocuments":{"type":"boolean","example":false},"requiredOnDrawings":{"type":"boolean","example":false},"requiredOnModels":{"type":"boolean","example":false},"valueType":{"type":"string","example":"text","enum":["text","reference","date","float"]},"metadataRule":{"$ref":"#/components/schemas/MetadataRuleInfo"}}},"MetadataRuleInfo":{"nullable":true,"type":"object","properties":{"characterType":{"type":"string","enum":["any","numbersonly"],"description":"The type of characters allowed"},"lengthType":{"type":"string","enum":["any","fixed","range"],"description":"The type of length restriction applied"},"fixedLength":{"type":"integer","nullable":true,"description":"The fixed length of the metadata"},"minLength":{"type":"integer","nullable":true,"description":"The minimum length of the metadata"},"maxLength":{"type":"integer","nullable":true,"description":"The maximum length of the metadata"}}},"UserFieldValue":{"type":"object","properties":{"text":{"type":"string"},"date":{"type":"string","format":"date"},"datetime":{"type":"string","format":"date-time"},"number":{"type":"number"},"integer":{"type":"integer"},"reference":{"$ref":"#/components/schemas/ObjectReference"},"relation":{"$ref":"#/components/schemas/FormUserFieldRelation"}}},"ObjectReference":{"description":"The API does provide endpoints for all entities. Entities that do not yet have an endpoint, can be determined to be similar on the basis of the the 'key'. Forms user defined fields is one such example; the fields may change name over time and in order to identify that the field is the same field, the key should be used. Also, names of fields cannot change once a form is closed, making it very hard to determine relationships between fields of open and closed forms if the name chages.","type":"object","properties":{"key":{"type":"string"},"value":{"type":"string","readOnly":true}}},"UserRelation":{"type":"object","properties":{"userId":{"type":"string"}}},"FormUserFieldRelation":{"type":"object","properties":{"userId":{"type":"string"},"companyId":{"type":"string"}}},"TestPlanItemRelation":{"type":"object","properties":{"testPlanItemId":{"type":"string"}}},"InspectionPlanItemRelation":{"type":"object","properties":{"inspectionPlanItemId":{"type":"string"}}},"Location":{"type":"object","properties":{"coordinate":{"$ref":"#/components/schemas/LocationCoordinate"},"level":{"$ref":"#/components/schemas/LevelReference"},"room":{"$ref":"#/components/schemas/RoomReference"},"building":{"$ref":"#/components/schemas/BuildingReference"},"drawing":{"$ref":"#/components/schemas/DrawingReference"},"bimObject":{"$ref":"#/components/schemas/BIMObject"},"locationImages":{"type":"array","items":{"$ref":"#/components/schemas/MediaFile"}},"zones":{"type":"array","items":{"$ref":"#/components/schemas/ZoneSelection"}}}},"TemplateReference":{"type":"object","properties":{"name":{"type":"string"}}},"LevelReference":{"type":"object","properties":{"name":{"type":"string"}}},"RoomReference":{"type":"object","properties":{"name":{"type":"string"}}},"BuildingReference":{"type":"object","properties":{"name":{"type":"string"}}},"DrawingReference":{"type":"object","properties":{"name":{"type":"string"}}},"LocationCoordinate":{"type":"object","properties":{"xyz":{"$ref":"#/components/schemas/Coordinate3D"},"gps":{"$ref":"#/components/schemas/Gps"}}},"Coordinate3D":{"type":"object","properties":{"x":{"type":"number","format":"float"},"y":{"type":"number","format":"float"},"z":{"type":"number","format":"float"}}},"Gps":{"type":"object","properties":{"lat":{"type":"number","format":"float"},"lng":{"type":"number","format":"float"}}},"Workpackage":{"properties":{"workpackageId":{"type":"string"},"companyId":{"type":"string"},"name":{"type":"string"}}},"ProjectModule":{"type":"object","properties":{"type":{"type":"string","enum":["field","box"]},"tier":{"type":"string","enum":["light","basic","standard","field","pro"]},"restriction":{"type":"string","enum":["readOnly","trial","sandbox"]}}},"ProjectMetadata":{"type":"object","properties":{"key":{"type":"string"},"name":{"type":"string","readOnly":true},"values":{"type":"array","items":{"$ref":"#/components/schemas/ProjectMetadataFieldValue"}}}},"ProjectMetadataFieldValue":{"type":"object","properties":{"text":{"type":"string"},"reference":{"$ref":"#/components/schemas/ObjectReference"}}},"ProjectCompany":{"type":"object","properties":{"companyId":{"type":"string","readOnly":true},"catalogCompanyId":{"type":"string"},"name":{"type":"string"},"vatNumber":{"type":"string"},"address":{"type":"string"}}},"CatalogueCompany":{"type":"object","properties":{"catalogCompanyId":{"type":"string","readOnly":true},"name":{"type":"string"},"vatNumber":{"type":"string"},"address":{"type":"string"},"website":{"type":"string"},"description":{"type":"string"},"zipCode":{"type":"string"},"city":{"type":"string"},"phoneNumber":{"type":"string"},"email":{"type":"string"}}},"PostCatalogueCompany":{"type":"object","allOf":[{"$ref":"#/components/schemas/CatalogueCompany"}],"properties":{"metadata":{"type":"array","items":{"$ref":"#/components/schemas/CatalogCompanyMetadata"}}}},"PatchCatalogueCompany":{"type":"object","allOf":[{"$ref":"#/components/schemas/CatalogueCompany"}],"properties":{"metadata":{"type":"array","items":{"$ref":"#/components/schemas/CatalogCompanyMetadata"}}}},"CatalogCompanyMetadata":{"type":"object","properties":{"key":{"type":"string"},"name":{"type":"string","readOnly":true},"values":{"type":"array","items":{"$ref":"#/components/schemas/CatalogCompanyMetadataFieldValue"}}}},"CatalogCompanyMetadataFieldValue":{"type":"object","properties":{"text":{"type":"string"},"reference":{"$ref":"#/components/schemas/ObjectReference"}}},"BIMObject":{"type":"object","properties":{"categoryName":{"type":"string"},"name":{"type":"string"}}},"FormAttachmentRelation":{"type":"object","properties":{"attachmentId":{"type":"string"},"modified":{"type":"string","format":"date-time"},"created":{"type":"string","format":"date-time"},"formId":{"type":"string"},"userDefinedField":{"type":"object","properties":{"key":{"type":"string"},"set":{"type":"string"}}},"attachmentData":{"$ref":"#/components/schemas/FormAttachment"},"deleted":{"type":"boolean","example":false}}},"FormAttachment":{"type":"object","properties":{"taskId":{"type":"string"},"mediaFile":{"$ref":"#/components/schemas/MediaFile"}}},"ApiTaskGet":{"type":"object","properties":{"taskId":{"type":"string"},"subject":{"type":"string"},"usage":{"type":"string","enum":["Task","Approval","SafetyIssue","SafetyObservation","GoodPractice"]},"type":{"$ref":"#/components/schemas/TaskTypeReference"},"number":{"type":"string"},"created":{"type":"string","format":"date-time"},"createdBy":{"$ref":"#/components/schemas/UserRelation"},"workflow":{"$ref":"#/components/schemas/WorkflowReference"},"location":{"$ref":"#/components/schemas/Location"},"userDefinedFields":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"}],"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/UserDefinedField"}}}}}},"TaskTypeReference":{"type":"object","properties":{"typeId":{"type":"string"},"name":{"type":"string"}}},"TaskAttachmentRelation":{"type":"object","properties":{"taskId":{"type":"string"},"mediaFile":{"$ref":"#/components/schemas/MediaFile"},"created":{"type":"string","format":"date-time"}}},"WorkflowReference":{"type":"object","properties":{"name":{"type":"string"}}},"TaskChanges":{"type":"object","properties":{"taskId":{"type":"string"},"description":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"action":{"type":"string","enum":["approve","assign","complete","reject","update","other"]},"fields":{"$ref":"#/components/schemas/TaskChangeFields"}}},"RoleRelation":{"type":"object","properties":{"userId":{"type":"string","deprecated":true},"roleId":{"type":"string"},"roleName":{"type":"string"}}},"LocationChange":{"type":"object","properties":{"value":{"$ref":"#/components/schemas/Location"},"empty":{"type":"boolean","description":"This field is null if the location has not been removed, and true if the location has been deleted during this change.","example":null}}},"DateChange":{"type":"object","properties":{"value":{"type":"string","format":"date"},"empty":{"type":"boolean","description":"This field is null if the deadline has not been removed, and true if the deadline has been deleted during this change.","example":null}}},"TaskChangeFields":{"type":"object","properties":{"title":{"type":"string"},"status":{"type":"string"},"assignedTo":{"$ref":"#/components/schemas/RoleRelation"},"currentResponsible":{"$ref":"#/components/schemas/UserRelation"},"modifiedBy":{"$ref":"#/components/schemas/UserRelation"},"location":{"$ref":"#/components/schemas/LocationChange"},"workpackageId":{"type":"string"},"deadline":{"$ref":"#/components/schemas/DateChange"},"userDefinedFields":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ListResponse"}],"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/UserDefinedField"}}}}}},"MediaFile":{"type":"object","properties":{"name":{"type":"string"},"fileDownload":{"type":"string"}}},"ErrorModel":{"type":"object","properties":{"httpStatusCode":{"type":"integer"},"message":{"type":"string"},"developerHint":{"type":"string"},"logTime":{"type":"string","format":"date-time"},"errorCode":{"description":"Extended, more specific, error codes (see error code table)","type":"string"},"errorCodeMessage":{"description":"Extended, more specific, error codes (enum).","type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorField"}}}},"ErrorField":{"type":"object","properties":{"propertyName":{"type":"string"},"inputValue":{"type":"string","nullable":true},"errorMessage":{"type":"string","nullable":true},"developerHint":{"type":"string","nullable":true},"arrayIndex":{"type":"integer","nullable":true}}},"TaskResponse":{"allOf":[{"$ref":"https://api.swaggerhub.com/domains/Dalux/Blossom/3.0#/components/schemas/ObjectResponse"}],"properties":{"data":{"$ref":"#/components/schemas/ApiTaskGet"}}}}}}